// Project Lab - NHTV Igad

#pragma once

#include "ProjectileBase.h"
#include "SpiralProjectile.generated.h"

/**
 * 
 */
UCLASS()
class UNREALPROJECT_API ASpiralProjectile : public AProjectileBase
{
	GENERATED_BODY()

public:
	virtual void BeginPlay() override;
	virtual	void NativeMove(float DeltaTime) override;

private:
	float m_elapsedTime;
};
